<?php

namespace lib\Services;

use lib\Entities\ServerEntity as Entity;
use lib\Models\ServerModel as Model;

class ServerService extends CommonService
{
  public function __construct()
  {
    parent::__construct();
  }
  final public function getClassName(): string
  {
    return "Server";
  }
  final public function getClassPath(): string
  {
    return $this->getClassName();
  }
  public function getModelClass(): string
  {
    return Model::class;
  }
  public function getEntityClass(): string
  {
    return Entity::class;
  }
  public function getCountByServiceCode(string $service_code): int
  {
    $this->getModel()->where("service_code", $service_code);
    return $this->getCount();
  }
}
